use zerocopy::{Immutable, IntoBytes};

use crate::{
  packet::{CLIENT_NAME_SIZE, STAGE_GAME_NAME_SIZE},
  protocol::String,
};

use super::PlayerInstance;

#[allow(unused)]
#[derive(Debug, IntoBytes, Immutable)]
#[repr(C, packed)]
pub struct HelloPlayer {
  name: String<CLIENT_NAME_SIZE>,
  id: u32,
  position: [f32; 3],
  stage: String<STAGE_GAME_NAME_SIZE>,
}

impl From<PlayerInstance> for HelloPlayer {
  fn from(value: PlayerInstance) -> Self {
    Self {
      id: value.id,
      name: value.name,
      position: value.position.to_array(),
      stage: value.stage,
    }
  }
  
}
